com.dlsc.flexgantt.swing.selector

## Interface ISelectorFactory

- All Known Implementing Classes:
    MacSimpleGranularitySelectorFactory, MacTimeGranularitySelectorFactory, SimpleGranularitySelectorFactory, TimeGranularitySelectorFactory

      public interface ISelectorFactory

  A selector factory gets used by the Gantt chart to create selectors, which a little windows that can be made visible by the user by pressing small utility buttons that are located around the center of the Gantt chart. These little windows allow the user to change the settings of the Gantt chart (e.g. the grid used for drag and drop operations, the columns shown by the table, the layers visible in the chart area, etc...).
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `Selector`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ISelectorFactory.SelectorID` An enumerator, used to identify those selectors that are directly supported by the framework.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selector` | `createSelector(AbstractGanttChart ganttChart, JComponent parentComponent, ISelectorFactory.SelectorID id)` Creates a new selector for the given Gantt chart and the given selector type.
    `Selector` | `createSelector(IGridComponent gridComponent, JComponent parentComponent, ISelectorFactory.SelectorID id)` Creates a new selector for the given `IGridComponent` instance and the given selector type.
    `Selector` | `createSelector(LayerContainer layerContainer, JComponent parentComponent, ISelectorFactory.SelectorID id)` Creates a new selector for the given `LayerContainer` and the given selector type.

- - ### Method Detail

    - #### createSelector

          Selector createSelector(AbstractGanttChart ganttChart,
                                  JComponent parentComponent,
                                  ISelectorFactory.SelectorID id)

      Creates a new selector for the given Gantt chart and the given selector type. Selectors are always bound to a parent component, which gets also passed to this factory method.
      Parameters:
        `ganttChart` - the Gantt chart where the selector will be used
        `parentComponent` - the parent component to which the selector will be bound
        `id` - the id of the selector
      Returns:
        a selector of the given type for the given Gantt cart
      Since:
        1.1

    - #### createSelector

          Selector createSelector(LayerContainer layerContainer,
                                  JComponent parentComponent,
                                  ISelectorFactory.SelectorID id)

      Creates a new selector for the given `LayerContainer` and the given selector type. Selectors are always bound to a parent component, which gets also passed to this factory method.
      Parameters:
        `layerContainer` - the layer container where the selector will be used
        `parentComponent` - the parent component to which the selector will be bound
        `id` - the id of the selector
      Returns:
        a selector of the given type for the given Gantt cart
      Since:
        1.1

    - #### createSelector

          Selector createSelector(IGridComponent gridComponent,
                                  JComponent parentComponent,
                                  ISelectorFactory.SelectorID id)

      Creates a new selector for the given `IGridComponent` instance and the given selector type. Selectors are always bound to a parent component, which gets also passed to this factory method.
      Parameters:
        `gridComponent` - the grid component where the selector will be used
        `parentComponent` - the parent component to which the selector will be bound
        `id` - the id of the selector
      Returns:
        a selector of the given type for the given Gantt cart
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.